<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: adminInoculumTypes.asp,v $
' $Date: 2005/12/03 00:06:42 $
' $Revision: 1.1 $
' Purpose:	edit config options
' Author:		Lawrence Walters
'
'	modified:
'	2005-08-03	LLW	added journals, backgroundMedias to editable table list
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Config Options"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%

RequireLogin()
RequireAdmin()

dim message, errors, level, oldNumLevels, rs, sql, name, i, table, tables
set errors = server.createobject("Scripting.Dictionary")
set rs = server.createobject("ADODB.Recordset")
tables = array("inoculumTypes")

if len(request.form("table")) > 0 then
	table = request.form("table")
else
	table = "responses"
end if

' user clicked add
if request.form("Add") = "Add" then
	if len(request.form("table")) > 0 and len(request.form("new")) > 0 then
		updateTable = request.form("table")
		name = Request.Form("new")
		
		sql = "insert into [" & updateTable & "] ([name]) values ('" & name & "')"
		'response.write sql & "<BR>"
		gConn.execute sql
	end if

' user clicked update
elseif request.form("Update") = "Update" then
	if len(request.form("table")) > 0 then
		updateTable = request.form("table")
		
		' for each level
		for each objItem in Request.Form
			if left(objItem, len(DB_FIELD & "id")) = DB_FIELD & "id" then
				id = mid(objItem, len(DB_FIELD & "id") + 1)
				name = Request.Form(objItem)
				
				sql = "update [" & updateTable & "] set [name] = '" & name & "' where [id] = " & id
				'response.write sql & "<BR>"
				gConn.execute sql
			end if
		next
	end if
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<!-- #INCLUDE FILE="include/adminHeader.inc.asp" -->
<form name="frmMain" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<table width=100% border=0>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=3 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=3><% = message %></td>
	</tr>
<%
end if
%>
	<tr><td colspan=2 style="font-weight: bold; font-size: 20px">Table: <% = table %></td></tr>
	<tr><td colspan=2>Select another table:<select name="table" onchange="this.form.submit()"><% 
	for i = lbound(tables) to ubound(tables)
		response.write "<option value='" & tables(i) & "'"
		if tables(i) = table then response.write " selected"
		response.write ">" & tables(i) & "</option>" & vbcrlf
	next
	%></select></td></tr>
	<tr>
		<td width=10% class="edHeader">ID</td>
		<td width=90% class="edHeader">Value</td>
	</tr>
<%
' list each treatment set, the treatment levels, and then textboxes to enter results
sql = "select [id], [name] from " & table & " order by [name]"
'response.write sql
rs.open sql, gConn, adOpenForwardOnly
do while not rs.eof
	response.write "<tr>" & vbcrlf
	response.write "<td valign=top>" & rs("id") & "</td>" & vbcrlf
	response.write "<td valign=top><input type=textbox name='" & DB_FIELD & "id" & rs("id") & "' value='" & rs("name") & "' size=50></td>" & vbcrlf
	response.write "</tr>" & vbcrlf
	rs.movenext
loop
rs.close
set rs = nothing
%>
	<tr>
		<td colspan=99><span style="width:25px">&nbsp;</span><input type="reset" name="Reset">
		<span style="width:25px">&nbsp;</span><input type="submit" name="Update" value="Update"></td>
	</tr>
	<tr>
		<td colspan=99>&nbsp;</td>
	</tr>
	<tr>
		<td valign=top>New</td>
		<td valign=top><input type=textbox name='new' value='' size=50>&nbsp;<input type="submit" name="Add" value="Add"></td>
	</tr>

</table>
</form>
<!-- #INCLUDE FILE="include/adminFooter.inc.asp" -->
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

