<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: adminUsers.asp,v $
' $Date: 2005/08/03 17:05:49 $
' $Revision: 1.1 $
' Purpose:	show what users are logged in and what they are doing
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Current User Activity"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors, level, oldNumLevels, rs, sql, name, i
set errors = server.createobject("Scripting.Dictionary")
set rs = server.createobject("ADODB.Recordset")

RequireLogin()
RequireAdmin()

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<!-- #INCLUDE FILE="include/adminHeader.inc.asp" -->
<form name="frmMain" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<table width=100% border=0>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=3 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=3><% = message %></td>
	</tr>
<%
end if
%>
	<tr>
		<td width=10% class="edHeader">Minutes Idle</td>
		<td width=40% class="edHeader">Name</td>
		<td width=40% class="edHeader">Email</td>
		<td width=10% class="edHeader">Last Page</td>
	</tr>
<%
' list each treatment set, the treatment levels, and then textboxes to enter results
sql = "select firstname, lastname, email, loginTime, currentPage, (now() - logintime) * 24 * 60 as idle from users inner join userLogins on users.id = userLogins.userId order by (now() - logintime) * 24 * 60 desc, lastname, firstname"
rs.open sql, gConn, adOpenForwardOnly
do while not rs.eof
	response.write "<tr>" & vbcrlf
	response.write "<td>" & FormatNumber(rs("idle"), 1) & "</td>" & vbcrlf
	response.write "<td>" & rs("firstname") & " " & rs("lastname") & "</td>" & vbcrlf
	response.write "<td>" & rs("email") & "</td>" & vbcrlf
	response.write "<td>" & rs("currentPage") & "</td>" & vbcrlf
	response.write "</tr>" & vbcrlf
	rs.movenext
loop
rs.close
set rs = nothing
%>
	<tr>
		<td colspan=99>&nbsp;</td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/adminFooter.inc.asp" -->
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

