<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: admin.asp,v $
' $Date: 2005/08/03 17:05:49 $
' $Revision: 1.1 $
' Purpose:	run some sql. this is totally dangerous
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Home"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors
set errors = server.createobject("Scripting.Dictionary")

RequireLogin()
RequireAdmin()

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<!-- #INCLUDE FILE="include/adminHeader.inc.asp" -->
<%


outputResultForm 167

sub outputResultForm(experimentId)
	dim rsTreatments
	dim arrLevels()
	' how many treatments variables?
	' get treatments in order
	sql = "select distinct treatmentId, treatments.name, treatments.displayOrder from expTreatments, treatments where experimentId = 167 and expTreatments.treatmentid = treatments.id order by treatments.displayOrder"
	set rsTreatments = server.createobject("ADODB.Recordset")
	set rsLevels = server.createobject("ADODB.Recordset")
	set dictTreatments = server.createobject("scripting.dictionary")
	
	rsTreatments.Open sql, gConn, adOpenStatic
	do while not rsTreatments.eof
		' get all the levels for this treatment
		sql2 = "select [level] from expTreatments where treatmentId = " & rsTreatments("treatmentId") & " and experimentId = " & experimentId & " order by [level]"
		rsLevels.Open sql2, gConn, adOpenForwardOnly
		set dictLevel = server.createobject("scripting.dictionary")
		do while not rsLevels.eof
			' add levels to a keyed array of some sort?
			dictLevel.add CStr(rsLevels.fields("level").value), rsLevels.fields("level").value
			rsLevels.movenext
		loop
		rsLevels.close
		
		' add these levels to a parent dictionary
		dictTreatments.add CStr(rsTreatments.fields("treatmentId").value), dictLevel
		
		rsTreatments.movenext
	loop
	rsTreatments.Close
	
	' get levels in order
	set dictSQL = server.createobject("scripting.dictionary")
	
	' for each treatment variable
	for each treatmentId in dictTreatments.keys
		' make a sql statement that restricts, do it in order, last to first
		BuildSQLDict experimentId, treatmentId, dictSQL, dictTreatments(treatmentId)
	next
	
	response.write "<table>"
	for each sql in dictSQL.items
		if trtSetRowClass = "treatmentSetEven" then
			trtSetRowClass = "treatmentSetOdd"
		else
			trtSetRowClass = "treatmentSetEven"
		end if

		rsTreatments.Open sql, gConn, adOpenStatic
		displaySQL "select * from expTrtSetSummary where id in (" & sql & ") order by displayOrder"
		'OutputTreatmentSet experimentId, trtSetRowClass, rsTreatments("id")
		rsTreatments.close
	next
	response.write "</table>"
end sub

sub BuildSQLDict(experimentId, treatmentId, byref dictSQL, byref dictLevels)
	set myDict = server.createobject("scripting.dictionary")
	if dictSQL.count = 0 then
		dictSQL.add 1, ""
	end if

	for each sql in dictSQL.items
		for each level in dictLevels
			myDict.add myDict.count + 1, makesql(sql, experimentId, treatmentId, level)
		next
	next
	set dictSQL = myDict
end sub

function makesql(firstSQL, newExperimentId, newTreatmentId, newLevel)
	sql = "select id from expTrtSetSummary where treatmentId = " & newTreatmentId & " and experimentId = " & newExperimentId & " and [level] = '" & newLevel & "'"
	
	if len(firstSQL) > 0 then
		sql = sql & " and id in (" & firstSQL & ")"
	end if
	makesql = sql
end function

sub OutputTreatmentSet(experimentId, rowClass, treatmentSetId)
	set rs2 = server.createobject("ADODB.recordset")
	fields = array("mean", "stdError", "stdDev", "confInter95", "lsd", "numReplicates")
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	'
	' treatment set
	'
	' each row contains treatments, responses, and input boxes
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	response.write "<tr class='" & rowClass & "'>" & vbcrlf

	
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	'
	' treatments summary
	'
	' name and levels
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	response.write "<td class='bdrTop' style='vertical-align: top'><table width=100% border=0 cellpadding=2 cellspacing=0 >" & vbcrlf
	' header
	response.write "<tr><td class='resultHeader'>Treatment</td>" & vbcrlf
	response.write "<td class='resultHeader'>Level</td></tr>" & vbcrlf
	sql = "select * from expTrtSetSummary where experimentId = " & experimentId & " and id = " & treatmentSetId & " order by displayOrder"
	rs2.Open sql, gConn, adOpenForwardOnly
	do while not rs2.eof
		response.write "<TR>" & vbcrlf
		' treatment name
		response.write "<td class='bdrTopThin edSmall' valign=top>" & rs2("name") & "</td>" & vbcrlf
		
		' treatment level
		response.write "<td class='bdrTopThin edSmall' valign=top>" & rs2("level") & "</td>" & vbcrlf
		response.write "</TR>" & vbcrlf
		rs2.movenext
	loop 
	rs2.close
	response.write "</table></td>" & vbcrlf

	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	'
	' results
	'
	' response variable name and values
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	
	' results input - new cell
	response.write "<td colspan=3 valign=top class='bdrTop'>"
	
	' sub table
	response.write "<table width=100% border=0 cellpadding=2 cellspacing=0><tr>" & vbcrlf
	
	' header
	response.write "<td class='resultHeader'>Response</td>" & vbcrlf
	response.write "<td class='resultHeader' style='text-align: center'>Mean</td>" & vbcrlf
	response.write "<td class='resultHeader' style='text-align: center'>Std Error</td>" & vbcrlf
	response.write "<td class='resultHeader' style='text-align: center'>Std Dev</td>" & vbcrlf
	response.write "<td class='resultHeader' style='text-align: center'>95% CI</td>" & vbcrlf
	response.write "<td class='resultHeader' style='text-align: center'>LSD</td>" & vbcrlf
	response.write "<td class='resultHeader' style='text-align: center'># Replicates</td>" & vbcrlf
	response.write "</tr>" & vbcrlf
	
	'todo: change from order by name to order by displayOrder
	' after new form of this view is copied to server
	sql = "select * from expResultSummary where experimentId = " & experimentId & " and expTrtSetId = " & treatmentSetId & " order by name"
	rs2.Open sql, gConn, adOpenForwardOnly
	do while not rs2.eof
		
		if rowHighlight = "odd" then
			rowHighlight = "even"
		else
			rowHighlight = "odd"
		end if
	
		response.write "<TR class='" & rowHighlight & "'>" & vbcrlf
		
		' response variable name
		response.write "<td class='edSmall'>" & rs2("name") & "</td>" & vbcrlf
		
		' results - mean, std Error and # replicates
		for i = lbound(fields) to ubound(fields) 
			response.write "<td class='resultInput'><input type=textbox class='edSmallTextBox' name='" & DB_FIELD & fields(i) & rs2("id") & "' value='" & rs2(fields(i)) & "' size='3'></td>" & vbcrlf
		next
		response.write "</TR>" & vbcrlf
		rs2.movenext
	loop 
	rs2.close	
	response.write "</table></td>" & vbcrlf
	response.write "</tr>" & vbcrlf
	
end sub

sub displaySQL(sql)
	set rs = server.createobject("adodb.recordset")
	
	rs.Open sql, gConn, adOpenStatic
	
	if rs.state = adStateOpen then
		rs.movelast
		response.write rs.recordcount
		numHierarchies = rs.recordcount
		rs.movefirst
				
		response.write "<table id=""results"">"
		response.write "<tr>"
		for each field in rs.fields
			response.write "<th>" & field.name & "</th>" & vbcrlf
		next
		response.write "</tr>"
		
		response.write "<tr>"
		do while not rs.eof
			response.write "<tr>"
			for each field in rs.fields
				response.write "<td>" & field.value & "</td>" & vbcrlf
			next
			rs.movenext
			response.write "</tr>"
		loop
		response.write "</table>"
	else
		response.write "no records returned"
	end if
end sub

%>
<!-- #INCLUDE FILE="include/adminFooter.inc.asp" -->
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

