<%@ Language="VBScript"%>
<%
option explicit
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: searchExport.asp,v $
' $Date: 2005/12/03 00:06:05 $
' $Revision: 1.2 $
' Purpose:	match control treatment sets with non control treatment sets. Update expTrtSets.ctlSetId with results. Note that this is not currently used!
' Author:		Lawrence Walters
'
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject, ShowClock, rs
ShowClock = false
Randomize
PageTitle = "Matching controls with non controls"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<%

RequireLogin()

dim rsCtlSets, sql
set rsCtlSets = server.createobject("ADODB.Recordset")

' Basic steps:
' 1. Get all control treatment sets with their other associated treatments and those levels.
' 2. Put these into a dictionary with a key that includes experiment id, other treatment ids and levels
' 3. Load all non-control treatment sets with their experiment id, and treatment levels.
' 4. search the control-dictionary for the specific key that matches sets from #3.
' 5. Update expTrtSets with the new control set id.

' use query expTrtControls to find all control sets
sql = "select expTrtSetId, experimentId, name, treatmentId, [level] from expTrtSetsNeedingControls"
rsCtlSets.open sql, gconn, adOpenForwardOnly

' loop through controls
if rsCtlSets.state = adStateOpen then
	do while not rsCtlSets.eof
		response.write rsCtlSets("expTrtSetId") & " " & rsCtlSets("experimentId") & "<br />"
		rsCtlSets.movenext
	loop
	rsCtlSets.close
end if
set rsCtlSets = nothing

%>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

