<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: edPaperAuthors.asp,v $
' $Date: 2006/01/19 05:16:39 $
' $Revision: 1.8 $
' Purpose:	lets the user select 3 authors for this paper
' Author:		Lawrence Walters
'
'	modified:
'	2005-07-29	LLW	added some comments
'	2005-08-03	LLW	fixed "Edit" buttons to actually edit the correct author #
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
FocusObject = "frmSelectAuthor." & DB_FIELD & "authorId1"
PageTitle = "Data Entry Step 2 - Authors"
ShowClock = true
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
RequireLogin()

dim id, authorData, paperData, required, numeric, cnt, errors, valid, author
set errors = server.createobject("Scripting.Dictionary")
set paperData = Server.CreateObject("Scripting.Dictionary")

' user clicked next
if request.form("Next") = "Save and move to next page" then
	'update data
	id = dbInput("papers", errors)
	
	if errors.count = 0 then
		'redirect to next page
		response.redirect "edExperimentList.asp"
		response.end
	else
		' fill in data dictionary with submitted values
		' we only get here when there are errors.
		set paperData = FormRead()
	end if

	
' user clicked back 
elseif request.form("Back") = "Back" then
	'redirect to paper page
	response.redirect "edPaper.asp"
	
' first time here
else
	set paperData = dbRead("papers", session("paperId"))
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<form name="frmSelectAuthor" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<input type="hidden" name="<% = DB_FIELD %>id" value="<% = paperData("id") %>">
<input type="hidden" name="<% = DB_FIELD %>userId" value="<% = Session("userId") %>">
<input type="hidden" name="<% = DB_FIELD %>dateEntered" value="<% = Now() %>">
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=2 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if
%>
<!-- create new author -->
	<tr>
		<td colspan=2>Please add all unlisted authors first. Then come back and select all the authors for your paper</td>
	</tr>
	<tr>
		<td colspan=2><input type="button" value="Add unlisted author" onclick="document.location='edAuthor.asp'"></td>
	</tr>
<!-- choose from existing authors -->
	<tr>
		<td class="edHeader" width=20%>Author #1:</td>
		<td width=80% nowrap><%
			dim sql
			sql = "select authors.id, lastName & ', ' & firstName & ' ' & middleInitial & '  - ' & left(affiliations.name, 40) & '...' from authors left outer join affiliations on affiliations.id = authors.affiliationId order by lastName, firstName"
			response.write dbBuildSelect("authorId1", sql, paperData.Item("authorId1"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId1.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId1.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #2:</td>
		<td><%
			response.write dbBuildSelect("authorId2", sql, paperData.Item("authorId2"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId2.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId2.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #3:</td>
		<td><%
			response.write dbBuildSelect("authorId3", sql, paperData.Item("authorId3"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId3.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId3.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #4:</td>
		<td><%
			response.write dbBuildSelect("authorId4", sql, paperData.Item("authorId4"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId4.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId4.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #5:</td>
		<td><%
			response.write dbBuildSelect("authorId5", sql, paperData.Item("authorId5"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId5.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId5.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #6:</td>
		<td><%
			response.write dbBuildSelect("authorId6", sql, paperData.Item("authorId6"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId6.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId6.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #7:</td>
		<td><%
			response.write dbBuildSelect("authorId7", sql, paperData.Item("authorId7"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId7.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId7.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #8:</td>
		<td><%
			response.write dbBuildSelect("authorId8", sql, paperData.Item("authorId8"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId8.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId8.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #9:</td>
		<td><%
			response.write dbBuildSelect("authorId9", sql, paperData.Item("authorId9"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId9.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId9.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td class="edHeader">Author #10:</td>
		<td><%
			response.write dbBuildSelect("authorId10", sql, paperData.Item("authorId10"), true, false)
		%>&nbsp;
			<input type="button" value="Edit..." onclick="if(frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId10.selectedIndex].value > 0) {document.location='edAuthor.asp?<% = DB_FIELD %>id=' + frmSelectAuthor.<% = DB_FIELD %>authorId1.options[frmSelectAuthor.<% = DB_FIELD %>authorId10.selectedIndex].value }"></td>
	</tr>
	<tr>
		<td colspan=2>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=2 class="error">Please make sure that all necessary authors are selected above before hitting next</td>
	</tr>
	<tr>
		<td colspan=2><span style="width:25px">&nbsp;</span><input type="reset" name="Reset">
		<span style="width:25px">&nbsp;</span><input type="submit" name="Back" value="Back">
		<span style="width:25px">&nbsp;</span><input type="submit" name="Next" value="Save and move to next page"></td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

