<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: edTips.asp,v $
' $Date: 2005/12/03 00:06:06 $
' $Revision: 1.3 $
' Purpose:	Tips on entering data
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Tips on Entering Data"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors
set errors = server.createobject("Scripting.Dictionary")

RequireLogin()

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<table width=80%>
	<tr>
		<Td><ol>
				<li>All data entered must be from a peer reviewed journal and must have a non-mycorrhizal control.</li>
				<li>>Pages time out after 20 minutes of inactivity.  Unfortunately this is a characteristic of the NAU server that cannot be changed.  So to ensure that your entries are saved, click "Next" or "Finish" (depending on what page you're on).  Then click back to continue to enter results.  You can always go back and change the information you've entered once you log in. NOTE: TYPING IN FIELDS DOES NOT CONSTITUTE "ACTIVITY".  YOU HAVE TO ACTUALLY CLICK ON "NEXT' OR "FINISH".</li>
				<li>Each page's data is saved when you hit "next." This means that you can enter some data, and as long as you hit the next button, you can come back and complete the data entry later.</li>
				<li>Once you enter results (means, se, n), don't change the treatments. This will erase your results!</li>
				<li>Enabling the autocomplete option on your web browser will make entering data easier. To do this in internet explorer: <ul>
						<li>Tools menu - internet options</li>
						<li>Content Tab</li>
						<li>Autocomplete...</li>
						<li>Check "Forms" option</li>
					</ul>
				</li>
				<li>You will need to convert all units appropriately. For conversions, see <a href="http://www.lamotte.com/pages/common/techtips/convert.html" >http://www.lamotte.com/pages/common/techtips/convert.html</a>.</li>
				<li>Means, standard errors and # replicates are required in all results sections. If standard errors or F-ratios are not available they can be calculated from figures using <a href="http://digitizer.sourceforge.net/">http://digitizer.sourceforge.net/</a></li>
				<li>For repeated measures studies, please record the last measurement in the time series.</li>
				<li>If you come across experiment details or response variables that are not current choices on the website let me know and I may be able to add them. This is an easy process, so just shoot me an email <a href="contact.asp">here</a></li>
			</ol></Td>
	</tr>
</table>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

