<%	
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
'
' Error Handler
If Err.Number <> 0 Then

	'	Action sensitive to error
	Select Case Err.Number

		Case ""		'	Specific error messages
			'	Placeholder for specific error message code
			'	You can handle custom errors here	

		Case Else		'	General Error Response

			If IsObject(gConn) Then

				If gConn.Errors.Count > 0 Then	%>
		
<B>Database Connection Object</B>

<%				For intLoop = 0 To gConn.Errors.Count - 1	%>
			
Error No: <%= gConn.Errors(intLoop).Number %><BR>
Description: <%= gConn.Errors(intLoop).Description %><BR>
Source: <%= gConn.Errors(intLoop).Source %><BR>
SQLState: <%= gConn.Errors(intLoop).SQLState %><BR>
NativeError: <%= gConn.Errors(intLoop).NativeError %><P>

<%				Next
				End If
			End If

			If Err.Number <> 0 Then	%>

<B>Error:</B><BR>
Error Number: <%= Err.Number %><BR>
Error Description: <%= Err.Description %><BR>		
Source: <%= Err.Source %><BR>
LineNumber: <%= Err.Line %><P>
<%
			End If
	End Select
	%>
<!-- #INCLUDE FILE="footer.inc.asp" -->
	<%
	response.end
End If
%>

