<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: pdf.asp,v $
' $Date: 2005/08/08 03:15:39 $
' $Revision: 1.1 $
' Purpose:	do the actual export/file saving
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "View Paper PDF"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim rs, sql, filename, fso, errorMsg, sPath

RequireLogin()

'maker sure paper id was passed here
if len(request.querystring("paperId")) > 0 then

	' get paper details here
	sql = "select pdfUrl from papers where id = " & request.querystring("paperId")
	set rs = server.createobject("ADODB.Recordset")
	rs.Open sql, gConn, adOpenForwardOnly
	
	if not rs.eof then
		filename = rs(0)		
		rs.close
	end if
	set rs = nothing
	
	' check if file exists
	set fso = Server.CreateObject("Scripting.FileSystemObject")
	sPath = Server.MapPath(".\" & PDF_PATH) & "\" & filename
	if fso.FileExists(sPath) then
		' return file
		Response.ContentType = "application/pdf" 
		Response.AddHeader "Content-Disposition", "attachment; filename=" & filename 
		
		' write the file to the web now.
		errorMsg = "return file here"
	
		Response.Buffer = False
		'Create a stream object
		Dim objStream : Set objStream = Server.CreateObject("ADODB.Stream")
		
		'Open a GIF file
		objStream.Type = adTypeBinary
		objStream.Open
		objStream.LoadFromFile(sPath)
		
		'Output the contents of the stream object
		Response.BinaryWrite objStream.Read
		
		'Clean up....
		objStream.Close : Set objStream = Nothing
		response.end
		
	' file not found
	else
		errorMsg = "File does not exist."
	end if
	
	set fso = nothing

' show error message
else
	errorMsg = "No paper specified."
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<span class="error">There was a problem downloading the PDF file: <% = errorMsg %></span>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->
