<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: profile.asp,v $
' $Date: 2005/08/04 05:52:43 $
' $Revision: 1.2 $
' Purpose:	main data entry page
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
FocusObject = "frmProfile." & DB_FIELD & "firstName"
PageTitle = "Edit your profile"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
RequireLogin()

dim id, profileData, paperData, required, numeric, cnt, errors, valid, author
set errors = server.createobject("Scripting.Dictionary")
set profileData = Server.CreateObject("Scripting.Dictionary")

' required fields
required = array("firstName", "lastName", "email")


' check for no more authors
if request.form("Cancel") = "Cancel" then
	'todo: redirect to experiments
	response.redirect "default.asp"

' Update was clicked	
elseif request.form("Update") = "Update" then
	'validate profileData
	valid = true

	' check for all required fields
	valid = ValidateRequired(required, errors)
	
	if valid then
		'add author to authors table
		id = dbInput("users", errors)
		
		'redirect to paper author page
		if errors.count = 0 then
			' redirect here
			response.redirect "default.asp"
			response.end
		end if
	end if

	' fill in data dictionary with submitted values
	' we only get here when there are errors.
	set profileData = FormRead()

'change password was clicked
elseif request.form("Change Password") = "Change Password" then
	errors.add errors.count + 1, ChangePassword(Session("userId"), request.form("currentPassword"), request.form("newPassword"), request.form("newPasswordConfirm"))
	
	set profileData = dbRead("users", Session("userId"))

' show profile data
else
	set profileData = dbRead("users", Session("userId"))
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=2 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if
%>
<form name="frmProfile" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<input type="hidden" name="<% = DB_FIELD %>id" value="<% = profileData.item("id") %>">
<!-- create a new author -->
	<tr>
		<td colspan=2>Update your data:</td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "firstName") %>First Name:</td>
		<td><input type="text" name="<% = DB_FIELD %>firstName" size=60 value="<% = profileData.Item("firstName") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "lastName") %>Last Name:</td>
		<td><input type="text" name="<% = DB_FIELD %>lastName" size=60 value="<% = profileData.Item("lastName") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "email") %>Email:</td>
		<td><input type="text" name="<% = DB_FIELD %>email" size=60 value="<% = profileData.Item("email") %>"></td>
	</tr>
	<tr>
		<td colspan=2 class="edRequired">Fields marked with an asterisk (*) are required.</td>
	</tr>
	<tr>
		<td colspan=2><span style="width:25px">&nbsp;</span><input type="reset" name="Reset"><span style="width:25px">&nbsp;</span><input type="submit" name="Cancel" value="Cancel"><span style="width:25px">&nbsp;</span><input type="submit" name="Update" value="Update"></td>
	</tr>
	<tr>
		<td colspan=2 height=40px>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=2>To change your password, enter your current password, a new password, and then confirm your new password</td>
	</tr>
	<tr>
		<td class="edHeader">Current Password</td>
		<td><input type="password" name="currentPassword" size=30 value=""></td>
	</tr>
	<tr>
		<td class="edHeader">New Password</td>
		<td><input type="password" name="newPassword" size=30 value=""></td>
	</tr>
	<tr>
		<td class="edHeader">Confirm New Password</td>
		<td><input type="password" name="newPasswordConfirm" size=30 value=""></td>
	</tr>
	<tr>
		<td colspan=2>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=2><span style="width:25px">&nbsp;</span><input type="submit" name="Change Password" value="Change Password"></td>
	</tr>
	
</table>
</form>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

