<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: reviewList.asp,v $
' $Date: 2006/01/20 20:40:08 $
' $Revision: 1.6 $
' Purpose:	show a list of all experiments.
' Author:		Lawrence Walters
'	modified:
'	2006-01-17	LLW	removed join with expSites
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "All experiments"
ShowClock = false
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors
set errors = server.createobject("Scripting.Dictionary")

RequireLogin()

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=5 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=5><% = message %></td>
	</tr>
<%                                         
end if
%>
	<tr>
		<td colspan=5><a href="reviewList.asp?view=detail">Detail View</a>&nbsp;<a href="reviewList.asp">Summary View</a></td>
	</tr>
<%
'list old papers here with edit links
dim rs
set rs = server.createobject("ADODB.Recordset")
sql = "select * from ExportExperiments" & GetSortSql()

rs.Open sql, gConn, adOpenForwardOnly

response.write "<tr>" & vbcrlf
dim test
if request.querystring("view") = "detail" then
	for each field in rs.fields
		test = GetSortLink(field.name, field.name)
		test = replace(test, "?sort", "?view=detail&sort")
		response.write "<td class=""edColumnTitle"">" & test & "</td>" & vbcrlf
	next
else
%>
		<td class="edColumnTitle">&nbsp;</td>
		<td class="edColumnTitle"><%= GetSortLink("lastname1", "Author") %></td>
		<td class="edColumnTitle"><%= GetSortLink("paperYear", "Year") %></td>
		<td class="edColumnTitle"><%= GetSortLink("experimentId", "Exp ID") %></td>
		<td class="edColumnTitle"><%= GetSortLink("name", "Exp Name") %></td>
		<td class="edColumnTitle"><%= GetSortLink("mycorrhizaeType", "Myco. Type") %></td>
		<td class="edColumnTitle"><%= GetSortLink("climate", "Climate") %></td>
<%
end if
response.write "<tr>" & vbcrlf

do while not rs.eof
	if rowHighlight = "odd" then
		rowHighlight = "even"
	else
		rowHighlight = "odd"
	end if

	response.write "<tr class='" & rowHighlight & "'>" & vbcrlf

	response.write "<td><a href='reviewExperiment.asp?id=" & rs("experimentId") & "' title='Review this experiment'>Review</a>"
	
	response.write "&nbsp;<a href='reviewExperiment.asp?id=" & rs("experimentId") & "#Results' title='Go straight to the results for this experiment'>Results</a></td>"

	if request.querystring("view") = "detail" then
		for each field in rs.fields
			response.write "<td>" & field.value & "</td>" & vbcrlf
		next
	else
		response.write "<td width=20% valign=top>" & rs("lastname1") & "</td>"
		response.write "<td width=10% valign=top>" & rs("paperYear") & "</td>"
		response.write "<td width=20% valign=top>" & rs("experimentId") & "</td>"
		response.write "<td width=20% valign=top>" & rs("name") & "</td>"
		response.write "<td width=20% valign=top>" & rs("mycorrhizaeType") & "</td>"
		response.write "<td width=20% valign=top>" & rs("climate") & "</td>"
	end if

	response.write "</tr>"
	rs.movenext
loop
rs.close
set rs = nothing
%>
	<tr>
		<td colspan=2>&nbsp;</td>
	</tr>
</table>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

