<%@ Language="VBScript"%>
<%
option explicit
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: searchExport.asp,v $
' $Date: 2005/12/03 00:06:05 $
' $Revision: 1.2 $
' Purpose:	basic javascripts included for every page (recently moved from header.inc.asp)
' Author:		Lawrence Walters
'
''''''''''''''''''''''''''''''''''''''''''''''''''''

Response.ContentType = "text/javascript"

%>
<!-- #INCLUDE FILE="../include/database.inc.asp" -->

/**
* base javascript for the entire site
*/

var base = "/sitetemplate";
var mouseover = "mouseover";

function butMouseOver(img) {
	var pos = img.src.indexOf(base) + base.length;
	img.src = img.src.substring(0, pos) + mouseover + img.src.substring(pos);
}

function butMouseOut(img) {
	var pos = img.src.indexOf(base) + base.length;
	img.src = img.src.substring(0, pos) + img.src.substring(pos + mouseover.length);
}

function ConfirmDelete() {
	return confirm("Are you sure you want to delete this item?");
}

// please keep these lines on when you copy the source
// made by: Nicolas - http://www.javascript-page.com

var clockID = 0;
var startDate = new Date();
var startMs = startDate.getTime();

function UpdateClock() {
   if(clockID) {
      clearTimeout(clockID);
      clockID  = 0;
   }

	 var diff = new Date();
	 var nowMs = diff.getTime();
	 diff.setTime(nowMs - startMs + diff.getTimezoneOffset()*60*1000);
	 if(diff.getHours() == 23)
	 {
	 	diff.setHours(0);
	 }
	 document.getElementById("theTime").innerHTML = "" 
                                   + leftPadString(diff.getHours(), 2, "0") + ":" 
                                   + leftPadString(diff.getMinutes(), 2, "0") + ":" 
                                   + leftPadString(diff.getSeconds(), 2, "0");
   clockID = setTimeout("UpdateClock()", 1000);
}
function StartClock() {
   clockID = setTimeout("UpdateClock()", 500);
}

function KillClock() {
   if(clockID) {
      clearTimeout(clockID);
      clockID  = 0;
   }
}

/**
 * Make sure a string is two characters long, appends '0' if not
 * @param instr String, in this case month/day/hour/second
 * @return Two-character-long string with zero appended if original has length
 * of less than two.
 */
function leftPadString(instr, len, spacer) {
    var str = instr.toString();
    var sp = spacer ? spacer : '0'; // Default to padding with zero if nothing passed in
    while (str.length < len) {
        str = sp+str;
    }
    return str;
}

