<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: adminExport.asp,v $
' $Date: 2005/12/03 00:05:53 $
' $Revision: 1.2 $
' Purpose:	export all data
' Author:		Lawrence Walters
'
'	modified:
'	2005-10-27	LLW added multiple export buttons
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Export Data"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors, level, oldNumLevels, rs, sql, name, i, targetType
set errors = server.createobject("Scripting.Dictionary")
set rs = server.createobject("ADODB.Recordset")

RequireLogin()
RequireAdmin()

' redirect to export page, with appropriate flag
targetType = ""
if request.form("ExportAllData") = "Export All Data" then
	targetType = "All"
elseif request.form("ExportMatchedData") = "Export Matched Data" then
	targetType = "Matched"
end if

if targetType <> "" then
	response.redirect "adminExportBuild.asp?targetType=" & targetType
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<!-- #INCLUDE FILE="include/adminHeader.inc.asp" -->
<form name="frmMain" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<table width=100% border=0>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=3 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=3><% = message %></td>
	</tr>
<%
end if
%>
	<tr>
		<td height=40px colspan=99>Click to export all data to an excel file</td>
	</tr>
	<tr>
		<td><input type="submit" name="ExportAllData" value="Export All Data"></td>
		<td>All data - papers, experiments, treatments, and results</td>
	</tr>
	<tr>
		<td><input type="submit" name="ExportMatchedData" value="Export Matched Data"></td>
		<td>Control and non-control data matched up side by side</td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/adminFooter.inc.asp" -->
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

