<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: adminExportBuild.asp,v $
' $Date: 2005/12/03 00:06:05 $
' $Revision: 1.2 $
' Purpose:	do the actual export/file saving
' Author:		Lawrence Walters
'
'	modified:
'	2005-10-27	LLW handle multiple export types
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Export Data"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%

dim filename, table, targetType
RequireLogin()
RequireAdmin()

'only export if a type was passed
if len(Request.QueryString("targetType")) > 0 then
	targetType = Request.Querystring("targetType")
	
	'set type filename and table
	if targetType = "All" then
		filename = "All"
		table = "AllDataExport"
	elseif targetType = "Matched" then
		filename = "Matched"
		table = "ExpResultsForExportMatched"
	end if

	
	dim rs, sql, field, cnt
	
	sql = "select * from " & table
	set rs = server.createobject("ADODB.Recordset")
	rs.Open sql, gConn, adOpenForwardOnly
	
	if not rs.eof then
	
		Response.ContentType = "text/csv" 
		Response.AddHeader "Content-Disposition", "attachment; filename=MycoDbData" & filename  & ".csv" 
		
		for each field in rs.fields
			response.write field.name & ","
		next
		response.write vbcrlf
		
		do while not rs.eof
			for cnt = 0 to rs.fields.count - 1
				if isnumeric(rs(cnt)) then
					response.write rs(cnt) & ","
				else
					response.write """" & rs(cnt) & ""","
				end if
			next
			response.write vbcrlf
			rs.movenext
		loop
		rs.close
	end if
	set rs = nothing
end if
%>
