<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: adminPDFList.asp,v $
' $Date: 2005/12/03 00:06:42 $
' $Revision: 1.1 $
' Purpose:	list all papers with pdf files uploaded
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Config Options"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors, level, oldNumLevels, rs, sql, name, i
set errors = server.createobject("Scripting.Dictionary")
set rs = server.createobject("ADODB.Recordset")

RequireLogin()
RequireAdmin()

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<!-- #INCLUDE FILE="include/adminHeader.inc.asp" -->
<form name="frmMain" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<table width=100% border=0>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=3 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=3><% = message %></td>
	</tr>
<%
end if
%>
	<tr>
		<td height=40px colspan=99>&nbsp</td>
	</tr>
	<tr>
		<td width=15% class="edHeader">Author</td>
		<td width=5% class="edHeader">Year</td>
		<td width=50% class="edHeader" style="text-align: center">Title</td>
		<td width=5% class="edHeader">File</td>
		<td width=10% class="edHeader">User</td>
	</tr>
<%
' list each paper that has a pdf file
' show papers already added
set rs = server.createobject("ADODB.Recordset")
rs.Open "select papers.id as id, title, year, pdfUrl, authors.lastname as lastname, users.firstname & ' ' & users.lastname as userName from users INNER JOIN (authors INNER JOIN papers ON authors.id = papers.authorId1) ON users.id = papers.userId where len(pdfUrl) > 0 order by authors.lastname, year", gConn, adOpenForwardOnly
do while not rs.eof
	response.write "<TR>"
	response.write "<td valign=top>" & rs("lastname") & "</td>"
	response.write "<td valign=top>" & rs("year") & "</td>"
	response.write "<td valign=top>" & rs("title") & "</td>"
	
	'pdf link
	response.write "<td valign=top>"
	if not isnull(rs("pdfUrl")) then
		if len(rs("pdfUrl")) > 0 then
			response.write "<a href='pdf.asp?paperId=" & rs("id") & "'>PDF</a>"
		end if
	end if
	response.write "</td>"

	response.write "<td valign=top>" & rs("userName") & "</td>"
	
	response.write "</TR>"
	rs.movenext
loop 
rs.close
set rs = nothing
%>
	<tr>
		<td colspan=99>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=99><span style="width:25px">&nbsp;</span><input type="reset" name="Reset">
		<span style="width:25px">&nbsp;</span><input type="submit" name="Update" value="Update"></td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/adminFooter.inc.asp" -->
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

