<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: adminUsers.asp,v $
' $Date: 2005/08/03 17:05:49 $
' $Revision: 1.1 $
' Purpose:	edit users
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Admin Config Options"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors, level, oldNumLevels, rs, sql, name, i
set errors = server.createobject("Scripting.Dictionary")
set rs = server.createobject("ADODB.Recordset")

RequireLogin()
RequireAdmin()

' user clicked update
if request.form("Update") = "Update" then
	'because checkboxes are submitted only when they are checked, we must act like all of them
	' have been unchecked, and then deal with the ones actually checked
	sql = "update [users] set [isDisabled] = 0, [isAdmin] = 0"
	'response.write sql & "<BR>"
	gConn.execute sql
	
	' for each item
	for each objItem in Request.Form
		' admin
		if left(objItem, len(DB_FIELD & "isAdmin")) = DB_FIELD & "isAdmin" then
			id = mid(objItem, len(DB_FIELD & "isAdmin") + 1)
			sql = "update users set [isAdmin] = 1 where [id] = " & id
			'response.write sql & "<BR>"
			gConn.execute sql
			
		' disabled
		elseif left(objItem, len(DB_FIELD & "isDisabled")) = DB_FIELD & "isDisabled" then
			id = mid(objItem, len(DB_FIELD & "isDisabled") + 1)
			sql = "update users set [isDisabled] = 1 where [id] = " & id
			'response.write sql & "<BR>"
			gConn.execute sql
		end if
	next	
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<!-- #INCLUDE FILE="include/adminHeader.inc.asp" -->
<form name="frmMain" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<table width=100% border=0>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=3 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=3><% = message %></td>
	</tr>
<%
end if
%>
	<tr>
		<td height=40px colspan=99>&nbsp</td>
	</tr>
	<tr>
		<td width=40% class="edHeader">Name</td>
		<td width=40% class="edHeader">Email</td>
		<td width=10% class="edHeader">Admin</td>
		<td width=10% class="edHeader">Disabled</td>
	</tr>
<%
' list each treatment set, the treatment levels, and then textboxes to enter results
sql = "select id, firstname, lastname, email, isAdmin, isDisabled from users order by lastname, firstname"
rs.open sql, gConn, adOpenForwardOnly
do while not rs.eof
	response.write "<tr>" & vbcrlf
	response.write "<td valign=top>" & rs("firstname") & " " & rs("lastname") & "</td>" & vbcrlf
	response.write "<td valign=top>" & rs("email") & "</td>" & vbcrlf
	response.write "<td valign=top align=center><input type=checkbox name='" & DB_FIELD & "isAdmin" & rs("id") & "'"
	if rs("isAdmin") = 1 then response.write " checked "
	response.write "></td>" & vbcrlf
	
	response.write "<td valign=top align=center><input type=checkbox name='" & DB_FIELD & "isDisabled" & rs("id") & "'"
	if rs("isDisabled") = 1 then response.write " checked "
	response.write "></td>" & vbcrlf
	response.write "</tr>" & vbcrlf
	rs.movenext
loop
rs.close
set rs = nothing
%>
	<tr>
		<td colspan=99>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=99><span style="width:25px">&nbsp;</span><input type="reset" name="Reset">
		<span style="width:25px">&nbsp;</span><input type="submit" name="Update" value="Update"></td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/adminFooter.inc.asp" -->
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

