<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: edAuthor.asp,v $
' $Date: 2006/01/19 05:16:38 $
' $Revision: 1.5 $
' Purpose:	main data entry page
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
FocusObject = "frmNewAuthor." & DB_FIELD & "affiliationId"
PageTitle = "Data Entry Step 2a - Add an Author"
ShowClock = true
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
RequireLogin()

dim id, authorData, paperData, required, numeric, cnt, errors, valid, author
set errors = server.createobject("Scripting.Dictionary")
set authorData = Server.CreateObject("Scripting.Dictionary")
set paperData = Server.CreateObject("Scripting.Dictionary")

' required fields
required = array("firstName", "lastName")


' check for no more authors
if request.form("Cancel") = "Cancel" then
	'todo: redirect to experiments
	response.redirect "edPaperAuthors.asp"

' add was clicked	
elseif request.form("Add this author") = "Add this author" then
	'validate authorData
	valid = true

	' check for all required fields
	valid = ValidateRequired(required, errors)
	
	if valid then
		'add author to authors table
		id = dbInput("authors", errors)
		
		'redirect to paper author page
		if errors.count = 0 then
			' redirect here
			response.redirect "edPaperAuthors.asp"
			response.end
		end if
	end if

	' fill in data dictionary with submitted values
	' we only get here when there are errors.
	set authorData = FormRead()

' edit author
elseif len(request.querystring(DB_FIELD & "id")) > 0 then
	set authorData = dbRead("authors", request.querystring(DB_FIELD & "id"))
	
' new author
else
	authorData.add "id", "new"
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=2 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if
%>
<form name="frmNewAuthor" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<input type="hidden" name="<% = DB_FIELD %>id" value="<% = authorData.item("id") %>">
<input type="hidden" name="<% = DB_FIELD %>userId" value="<% = Session("userId") %>">
<input type="hidden" name="<% = DB_FIELD %>dateEntered" value="<% = Now() %>">
<!-- create a new author -->
	<tr>
		<td colspan=2>Create a new author:</td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "affiliationId") %>Affiliation:</td>
		<td><%
			response.write dbBuildSelect("affiliationId", "select id, name from affiliations order by name", authorData.Item("affiliationId"), true, false)
		%><input type="button" value="Add Affiliation" onclick="document.location='edAffiliation.asp'"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "firstName") %>First Name:</td>
		<td><input type="text" name="<% = DB_FIELD %>firstName" size=60 value="<% = authorData.Item("firstName") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "middleInitial") %>Middle Initial:</td>
		<td><input type="text" name="<% = DB_FIELD %>middleInitial" size=5 value="<% = authorData.Item("middleInitial") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "lastName") %>Last Name:</td>
		<td><input type="text" name="<% = DB_FIELD %>lastName" size=60 value="<% = authorData.Item("lastName") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "address") %>Address:</td>
		<td><input type="text" name="<% = DB_FIELD %>address" size=60 value="<% = authorData.Item("address") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "city") %>City:</td>
		<td><input type="text" name="<% = DB_FIELD %>city" size=60 value="<% = authorData.Item("city") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "state") %>State:</td>
		<td><input type="text" name="<% = DB_FIELD %>state" size=5 value="<% = authorData.Item("state") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "zipcode") %>Zipcode:</td>
		<td><input type="text" name="<% = DB_FIELD %>zipcode" size=10 value="<% = authorData.Item("zipcode") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "country") %>Country:</td>
		<td><input type="text" name="<% = DB_FIELD %>country" size=60 value="<% = authorData.Item("country") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "email") %>Email:</td>
		<td><input type="text" name="<% = DB_FIELD %>email" size=60 value="<% = authorData.Item("email") %>"></td>
	</tr>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "phone") %>Phone:</td>
		<td><input type="text" name="<% = DB_FIELD %>phone" size=30 value="<% = authorData.Item("phone") %>"></td>
	</tr>
	<tr>
		<td colspan=2 class="edRequired">Fields marked with an asterisk (*) are required.</td>
	</tr>
	<tr>
		<td colspan=2>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=2><span style="width:25px">&nbsp;</span><input type="reset" name="Reset"><span style="width:25px">&nbsp;</span><input type="submit" name="Cancel" value="Cancel"><span style="width:25px">&nbsp;</span><input type="submit" name="Add this author" value="Add this author"></td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

