<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: edJournal.asp,v $
' $Date: 2005/12/03 00:06:06 $
' $Revision: 1.3 $
' Purpose:	main data entry page
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
FocusObject = "frmMain." & DB_FIELD & "name"
PageTitle = "Data Entry Step 1a - Add Journal"
ShowClock = true
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
RequireLogin()

dim id, data, required, numeric, cnt, errors, valid
set errors = server.createobject("Scripting.Dictionary")
set data = Server.CreateObject("Scripting.Dictionary")

' required fields
required = array("name")

' add journal was clicked
if request.form("Cancel") = "Cancel" then
	' redirect here
	response.redirect "edPaper.asp?" & DB_FIELD & "id=" & session("paperId")

' data was submitted
elseif request.form("Add Journal") = "Add Journal" then
	'validate data here
	valid = true
	
	' check for all required fields
	valid = ValidateRequired(required, errors)
	
	'update database
	if valid then
		id = dbInput("journals", errors)
		
		if errors.count = 0 then
			' redirect here
			response.redirect "edPaper.asp?" & DB_FIELD & "id=" & session("paperId")
			response.end
		end if
	end if
	
	' fill in data dictionary with submitted values
	' we only get here when there are errors.
	set data = FormRead()

' new paper
else
	data.add "id", "new"
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<form name="frmMain" action="<% = Request.servervariables("PATH_INFO") %>" method="POST">
<input type="hidden" name="<% = DB_FIELD %>id" value="<% = data.Item("id") %>">
<input type="hidden" name="<% = DB_FIELD %>userId" value="<% = Session("userId") %>">
<input type="hidden" name="<% = DB_FIELD %>dateEntered" value="<% = Now() %>">
<input type="hidden" name="paperId" value="<% = Session("paperId") %>">
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=2 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if
%>
	<tr>
		<td class="edHeader"><% = MarkRequiredField(required, "name") %>Name:</td>
		<td><textarea cols="60" rows="5" name="<% = DB_FIELD %>name" style="font-family: arial"><% = data.Item("name") %></textarea></td>
	</tr>
	<tr>
		<td colspan=2 class="edRequired">Fields marked with an asterisk (*) are required.</td>
	</tr>
	<tr>
		<td colspan=2>&nbsp;</td>
	</tr>
	<tr>
		<td colspan=2><span style="width:25px">&nbsp;</span><input type="reset" name="Reset"><span style="width:25px">&nbsp;</span><input type="submit" name="Cancel" value="Cancel"><span style="width:25px">&nbsp;</span><input type="submit" name="Add Journal" value="Add Journal"></td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

