<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: edPaperUpload.asp,v $
' $Date: 2005/12/03 00:06:06 $
' $Revision: 1.2 $
' Purpose:	main data entry page
' Author:		Lawrence Walters
'
'	modified:
'	2005-08-03	LLW	fixed error when adding new journal - the session variable is checked to be not "new" before reading from the database
'	2006-04-27	LLW	skip this. can't make it work on NAU system.
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
FocusObject = "frmMain." & DB_FIELD & "pdfUrl"
PageTitle = "Data Entry Step 3 - Paper Upload"
ShowClock = true
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
RequireLogin()

dim id, data, required, numeric, cnt, errors, valid
set errors = server.createobject("Scripting.Dictionary")
set data = Server.CreateObject("Scripting.Dictionary")
	
if len(request.querystring("error")) > 0 then
	errors.add errors.count + 1, request.querystring("error")
end if

' editing previously entered paper
if len(request.form(DB_FIELD & "id")) > 0 and request.form(DB_FIELD & "id") <> "new" then
	'todo: load old values here
	set data = dbRead("papers", request.form(DB_FIELD & "id"))

' editing previously entered paper
elseif len(request.querystring(DB_FIELD & "id")) > 0 and request.querystring(DB_FIELD & "id") <> "new" then
	'load old values here
	set data = dbRead("papers", request.querystring(DB_FIELD & "id"))

' user pressed the "back" button from the next page
' or entered a new journal
elseif len(session("paperId")) > 0 and session("paperId") <> "new" then
	'load old values here
	set data = dbRead("papers", session("paperId"))
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<form name="frmMain" enctype="multipart/form-data" action="edPaperSaveUpload.asp" method="POST" >
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=2 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if
%>
	<tr>
		<td colspan=2>Currently we can't make the pdf upload work for large files. Please just click skip.</td>
	</tr>
	<tr>
		<td><span style="width:25px">&nbsp;</span><input type="button" name="Back" value="Back" onclick="document.location='edPaperAuthors.asp'">
		<span style="width:25px">&nbsp;</span><input type="button" name="Skip" value="Skip" onclick="document.location='edExperimentList.asp'"></td>
	</tr>
</table>
</form>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

