<%@ Language="VBScript"%>
<%
''''''''''''''''''''''''''''''''''''''''''''''''''''
' MycoDB - online database of mycorrhizal experiments 
' Copyright (C) 2007  Lawrence Walters
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program.  If not, see <http://www.gnu.org/licenses/>.
' 
' $RCSfile: enterdata.asp,v $
' $Date: 2006/01/20 20:40:09 $
' $Revision: 1.7 $
' Purpose:	main data entry page
' Author:		Lawrence Walters
''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim PageTitle, FocusObject
PageTitle = "Enter Data"
%>
<!-- #INCLUDE FILE="include/init.inc.asp" -->
<%
dim message, errors
set errors = server.createobject("Scripting.Dictionary")

RequireLogin()
Session.Contents.Remove("PaperId")

' handle delete here
if len(request.querystring("delete")) > 0 then
	if isnumeric(request.querystring("delete")) then
		dbDelete "papers", request.querystring("delete"), errors
		message = "Paper and all associated data deleted."
	end if
end if

%>
<!-- #INCLUDE FILE="include/header.inc.asp" -->
<table width=100%>
<%
if errors.count > 0 then
	dim str
	for each str in errors
%>
	<tr>
		<td colspan=5 class="error"><% = errors(str) %></td>
	</tr>
<%
	next
end if

if len(message) > 0 then
%>
	<tr>
		<td colspan=5><% = message %></td>
	</tr>
<%
end if
%>
	<tr>
		<td colspan=5><b>Before continuing, please read the <a href="edTips.asp">data entry tips</a>.</b></td>
	</tr>
	<tr>
		<td colspan=5><input type="button" value="Add new paper" onclick="document.location='edPaper.asp'"></td>
	</tr>
	<tr>
		<td class="edColumnTitle">Author</td>
		<td class="edColumnTitle">Year</td>
		<td class="edColumnTitle">Title</td>
		<td class="edColumnTitle" colspan="4">&nbsp;</td>
	</tr>	
<%
' show papers already added
dim rs
set rs = server.createobject("ADODB.Recordset")

' show papers from all users if this is an administrator
'if Session("isAdmin") = 1 then
'	sql = "SELECT papers.id AS id, users.firstName & ' ' & users.lastName as userLastName, papers.title, papers.year, papers.pdfUrl, authors.lastName AS lastname FROM users INNER JOIN (papers LEFT JOIN authors ON papers.authorId1 = authors.id) ON users.id = papers.userId ORDER BY users.lastName, authors.lastName, papers.year;"
'else
	
	'todo: delete this temporary workaround
	sql = "select papers.id as id, title, papers.year, authors.lastname as lastname1, experiments.name as experimentName from experiments right outer join (papers left outer join authors on papers.AuthorID1 = authors.id) on experiments.paperId = papers.id where papers.userId = " & Session("userId") & " order by authors.lastname, papers.year"

	
	'todo: change this when the database has been updated
	' new paperSummaryWithExperiments
	'sql = "SELECT paperId, lastName1, title, year, experimentName from paperSummaryWithExperiments where papers.userId = " & Session("userId") & " order by paperSummary.lastname, paperSummary.year"

'end if

rs.Open sql, gConn, adOpenForwardOnly
lastPaperId = -1
do while not rs.eof
	if lastPaperId <> rs("id") then
		if rowHighlight = "odd" then
			rowHighlight = "even"
		else
			rowHighlight = "odd"
		end if
	
		response.write "<TR class='" & rowHighlight & "'>" & vbcrlf
		
	'	if Session("isAdmin") = 1 then
	'		response.write "<td width=20% valign=top>" & rs("userLastName") & "</td>"
	'	end if
		response.write "<td width=20% valign=top>" & rs("lastname1") & "</td>"
		response.write "<td width=10% valign=top>" & rs("year") & "</td>"
		response.write "<td width=60% valign=top>" & rs("title") & "</td>"
		
		'pdf link
'		response.write "<td width=10% valign=top>"
'		if not isnull(rs("pdfUrl")) then
'			if len(rs("pdfUrl")) > 0 then
'				response.write "<a href='pdf.asp?paperId=" & rs("id") & "'>PDF</a>"
'			end if
'		end if
'		response.write "</td>"
		
		response.write "<td valign=top>"
		
		response.write "<input type=button class='buttonSmall' value=""Edit"" onclick=""document.location='edPaper.asp?" & DB_FIELD & "id=" & rs("id") & "'"">"
		
		response.write "<input type=button class='buttonSmall' value=""Experiments"" onclick=""document.location='edExperimentList.asp?" & DB_FIELD & "paperId=" & rs("id") & "'"" />"
		
		response.write "<input type=button class='buttonSmall' value=""Delete"" onclick=""if(ConfirmDelete()) {document.location='enterdata.asp?delete=" & rs("id") & "'}"" />"
		
		response.write "</td>"
		response.write "</TR>"
		lastPaperId = rs("id")
	end if
	' show the list of experiments for each paper
	if not isnull(rs("experimentName")) then
		response.write "<TR class='" & rowHighlight & "'>" & vbcrlf

		response.write "<td colspan=""4"" class=""paperExperiment"">Experiment: "
		response.write rs("experimentName")
		response.write "</td>"
		response.write "</tr>"
	end if
	rs.movenext
loop 
rs.close
set rs = nothing
%>
</table>
<!-- #INCLUDE FILE="include/footer.inc.asp" -->

